Subject: Re: bug#52587: 29.0.50; Wrong block header/footer background in Org

From: Protesilaos Stavrou <[email-masked]>
Date: Sun, 26 Dec 2021 13:22:37 +0200

On 2021-12-26, 11:22 +0100, Rudolf Adamkovič <[email-masked]> wrote:

> Protesilaos Stavrou <[email-masked]> writes:
>
>> [ I will sync with emacs.git as soon as I publish the next tagged
>>   version (2.0.0).  It is a big one and the change log will take some
>>   time to prepare...  Maybe this week. ]
>
> I noticed "Update modus-themes to version 2.0.0" in the Git log.  Yet, I
> compiled Emacs today (2021-12-26), and the gray area extends
> edge-to-edge while modus-themes-org-blocks equals nil.  Perhaps I
> misunderstood your intention?

No, you did not misunderstand my intention.  Maybe something else is
going on, as I am getting the expected results.  Check the attached
screenshot.

Steps to reproduce the screenshot:

- Create a file with demo content, such as ~/test-org-block.org:

    * Testing

    This is a test

    #+begin_src emacs-lisp
    (message "Hello world")
    #+end_src

    * Test

- Execute 'emacs -Q' on the command-line.
- C-x C-f test-org-block.org RET
- M-x load-theme RET modus-operandi

Do you get the same results?

-- 
Protesilaos Stavrou
https://protesilaos.com